# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------


# -- Project information -----------------------------------------------------

project = 'Startinblox Documentation'
copyright = '2020, Startinblox'
author = 'Startinblox'

# The full version, including alpha/beta/rc tags
release = 'master'


# -- General configuration ---------------------------------------------------

extensions = [
    'sphinx.ext.intersphinx',
    'sphinx.ext.autosectionlabel',
    'sphinxcontrib.httpdomain',
    'sphinx.ext.duration',
    'sphinx.ext.extlinks',
    'recommonmark'
]

templates_path = []

exclude_patterns = []

autosectionlabel_prefix_document = True

# -- Options for HTML output -------------------------------------------------

html_theme = 'sphinx_rtd_theme'

html_static_path = ['_static']

html_context = {
  "display_gitlab": True,
  "gitlab_host": "git.startinblox.com",
  "gitlab_user": "documentation",
  "gitlab_repo": "doc",
  "gitlab_version": "master",
  "conf_py_path": "/source/"
}

html_theme_options = {
    'display_version': False,
    'collapse_navigation': True,
    'sticky_navigation': True,
    'navigation_depth': 4,
    'includehidden': True,
    'titles_only': False
}

autosectionlabel_prefix_document = True

intersphinx_mapping = {
    'python': ('https://docs.python.org/3', None),
    'django': ('https://docs.djangoproject.com/en/1.11/', 'https://docs.djangoproject.com/en/1.11/_objects/'),
    'doc': ('https://docs.startinblox.com/', None),
    'internal': ('https://developpers.startinblox.com/', None)
}

extlinks = {
    'gitlab': ('https://git.startinblox.com/%s', 'gitlab')
}
